Rated 5 out of 5 stars

This is great. This extension should be installed by default in FF3.5

This review is for a previous version of the add-on (4.1.4).